/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2008, 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#include <wipal/wifi/ctl.hh>

namespace wpl
{

  namespace wifi
  {

    namespace ctl
    {

      namespace subtype
      {

	const std::string names[16] =
	  {
	    "Reserved (ctl:0)",
	    "Reserved (ctl:1)",
	    "Reserved (ctl:2)",
	    "Reserved (ctl:3)",
	    "Reserved (ctl:4)",
	    "Reserved (ctl:5)",
	    "Reserved (ctl:6)",
	    "Reserved (ctl:7)",
	    "Block Ack Request",
	    "Block Ack",
	    "PS-Poll",
	    "RTS",
	    "CTS",
	    "ACK",
	    "CF-End",
	    "CF-End + CF-Ack"
	  };

      } // End of namespace wpl::wifi::ctl::subtype.

    } // End of namespace wpl::wifi::ctl.

  } // End of namespace wpl::wifi.

} // End of namespace wpl.
