/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#include <wipal/tool/hexdump.hh>

namespace wpl
{

  namespace tool
  {

    namespace hex
    {

      namespace params
      {

	const std::string	def::bigsep	= "   ";
	const std::string	def::smallsep	= " ";
	const std::string	def::colsep	= " | ";

	const std::string	str::bigsep	= "";
	const std::string	str::smallsep	= "";
	const std::string	str::colsep	= "|";

      } // End of namespace wpl::tool::hex::params.

    } // End of namespace wpl::tool::hex.

  } // End of namespace wpl::tool.

} // End of namespace wpl.
